/*
 * debug_printf.c
 *
 *  Created on: 2012/01/01
 *      Author: Kentaro Sekimoto
 */
#include "stdarg.h"
/* #include "fm3_uart.h" */

int vxsnprintf(char *buf, int buf_size, char *fmt, va_list args);
void io_putchar(char c);


int debug_printf(const char* format, ...)
{
	char buf[256];
	int len,i;
	va_list arg_ptr;

	va_start(arg_ptr, format);
	len = vxsnprintf(buf, 255, format, arg_ptr);
	/* UART_TxStr(UART_CH, buf); */

        
        /* io_putchar( 0x3c );  */

        for(i=0;i<len;++i)
        {
          
          if( buf[i] == 0x0a)
          {
             io_putchar( 0x0d );
             io_putchar( 0x0a );
          }
          else io_putchar( buf[i] );
        }
        /* io_putchar( 0x3e ); */

	va_end(arg_ptr);
	return len;
}

